Endpoint reference
Dark Pool Prints API
GET
/api/v1/dark-pool/printsGet recent public dark-pool prints with share-size filtering.
Parameters
No endpoint-specific parameters.
Examples
curl
curl 'https://api.squawkflow.com/api/v1/dark-pool/prints?limit=50&min_size=100000' -H "X-API-Key: $SQUAWKFLOW_API_KEY"python
import os
import requests
response = requests.get(
"https://api.squawkflow.com/api/v1/dark-pool/prints?limit=50&min_size=100000",
headers={"X-API-Key": os.environ["SQUAWKFLOW_API_KEY"]},
timeout=15,
)
response.raise_for_status()
print(response.json()["data"])javascript
const response = await fetch("https://api.squawkflow.com/api/v1/dark-pool/prints?limit=50&min_size=100000", {
headers: { "X-API-Key": process.env.SQUAWKFLOW_API_KEY },
});
if (!response.ok) throw new Error(`SquawkFlow ${response.status}`);
const { data, meta, usage } = await response.json();
console.log({ data, meta, usage });go
package main
import (
"fmt"
"io"
"net/http"
"os"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.squawkflow.com/api/v1/dark-pool/prints?limit=50&min_size=100000", nil)
req.Header.Set("X-API-Key", os.Getenv("SQUAWKFLOW_API_KEY"))
res, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}rust
#[tokio::main]
async fn main() -> Result<(), reqwest::Error> {
let client = reqwest::Client::new();
let body = client
.get("https://api.squawkflow.com/api/v1/dark-pool/prints?limit=50&min_size=100000")
.header("X-API-Key", std::env::var("SQUAWKFLOW_API_KEY").unwrap())
.send().await?
.error_for_status()?
.text().await?;
println!("{body}");
Ok(())
}Response
Successful responses use the standard success, data, meta, and usage envelope. See the live OpenAPI schema for generated response definitions.